proc help_help {num}\
{
	global HLP_PATH help_title help_body
	.help.t.r configure -state normal
	.help.t.r delete 1.0 end
	eval ".help.t.r insert end [read_file $HLP_PATH/$num.hlp]"
	.help.t.r configure -state disabled
}

proc help_d_help {}\
{
	set font1 "-*-Helvetica-Bold-R-Normal--*-140-*-*-*-*-*-*"
	set font2 "-*-Helvetica-*-R-Normal--*-120-*-*-*-*-*-*"
	set font3 "-*-Helvetica-Bold-R-Normal--*-180-*-*-*-*-*-*"
	if {[winfo exists .help]}\
	{
		destroy .help
	}
	toplevel .help
	wm geometry .help +20+20
	wm title .help "Help"
	wm resizable .help 0 0
	frame .help.but 
	pack .help.but -side bottom -fill x
	button .help.but.close -width 10 -text Close -command "destroy .help"
	pack .help.but.close
	frame .help.t
	pack .help.t -side top -fill both
	listbox .help.t.m
	pack .help.t.m -side left -fill y
	text .help.t.r -width 60 -height 30 -wrap word -background white \
		-yscrollcommand {.help.t.vs set}
	pack .help.t.r -side left
	scrollbar .help.t.vs -command {.help.t.r yview}
	pack .help.t.vs -fill y -side left

	.help.t.m insert end "Introduction"
	.help.t.m insert end "Organizer"
	.help.t.m insert end "Project"
	.help.t.m insert end "Book"
	.help.t.m insert end "Todo list"
	.help.t.m insert end "Task list"
	.help.t.m insert end "Budget"
	.help.t.m insert end "Notes"
	.help.t.m insert end "Planner"
	.help.t.m insert end "Help"
	.help.t.m insert end "Configurations"
	.help.t.m insert end "About this software"

	.help.t.r tag configure title \
		-font $font1 \
		-foreground #000099 \
		-underline 1 \
		-lmargin1 5 \
		-spacing1 10 \
		-spacing3 15
	.help.t.r tag configure body \
		-font $font2 \
		-wrap word \
		-lmargin1 5 \
		-lmargin2 5 \
		-rmargin 5 
	.help.t.r tag configure st \
		-font $font2 \
		-foreground #009900 \
		-underline 1 \
		-lmargin1 5 \
		-spacing1 10 \
		-spacing3 5
	.help.t.r tag configure init \
		-font $font3 \
		-spacing1 10 \
		-spacing2 30 \
		-lmargin1 30 \
		-lmargin2 30 \
		-foreground #6699CC 
	bind .help.t.m <1> {help_help [.help.t.m index @%x,%y]}
	for {set i 1} {$i < 200} {incr i}\
	{
		.help.t.r insert 1.0 "Zorgan 1.2   " {init}
	}
	.help.t.r configure -state disabled
}

