proc conf_d_config {org_id}\
{
	global env TODO_COL TASK_COL DAILY_COL ORG_PATH
	global START_DATE CUR_YEAR CUR_MONTH CUR_DAY USE_CURRENT confirm
	catch {destroy .conf}
	toplevel .conf
	wm title .conf Configurations
	wm geometry .conf +20+20
	label .conf.lb -text "Some of the configurations will only take effect after restarting the application." -wraplength 300
	pack .conf.lb -side top
	frame .conf.todo
	pack .conf.todo -side top
		label .conf.todo.lb -text "Todo" -width 5
		pack .conf.todo.lb -side left
		label .conf.todo.lb1 -text "1" -background $TODO_COL(1)
		pack .conf.todo.lb1 -side left
		entry .conf.todo.e1 -width 8
		pack .conf.todo.e1 -side left
		.conf.todo.e1 insert 0 $TODO_COL(1)
		bind .conf.todo.e1 <FocusOut> {
			.conf.todo.lb1 configure -background [.conf.todo.e1 get]
		}
		label .conf.todo.lb2 -text "2" -background $TODO_COL(2)
		pack .conf.todo.lb2 -side left
		entry .conf.todo.e2 -width 8
		pack .conf.todo.e2 -side left
		.conf.todo.e2 insert 0 $TODO_COL(2)
		bind .conf.todo.e2 <FocusOut> {
			.conf.todo.lb2 configure -background [.conf.todo.e2 get]
		}
		label .conf.todo.lb3 -text "3" -background $TODO_COL(3)
		pack .conf.todo.lb3 -side left
		entry .conf.todo.e3 -width 8
		pack .conf.todo.e3 -side left
		.conf.todo.e3 insert 0 $TODO_COL(3)
		bind .conf.todo.e3 <FocusOut> {
			.conf.todo.lb3 configure -background [.conf.todo.e3 get]
		}
		label .conf.todo.lb4 -text "4" -background $TODO_COL(4)
		pack .conf.todo.lb4 -side left
		entry .conf.todo.e4 -width 8
		pack .conf.todo.e4 -side left
		.conf.todo.e4 insert 0 $TODO_COL(4)
		bind .conf.todo.e4 <FocusOut> {
			.conf.todo.lb4 configure -background [.conf.todo.e4 get]
		}
		label .conf.todo.lb5 -text "5" -background $TODO_COL(5)
		pack .conf.todo.lb5 -side left
		entry .conf.todo.e5 -width 8
		pack .conf.todo.e5 -side left
		.conf.todo.e5 insert 0 $TODO_COL(5)
		bind .conf.todo.e5 <FocusOut> {
			.conf.todo.lb5 configure -background [.conf.todo.e5 get]
		}
	frame .conf.task
	pack .conf.task -side top
		label .conf.task.lb -text "Task" -width 5
		pack .conf.task.lb -side left
		label .conf.task.lb1 -text "1" -background $TASK_COL(1)
		pack .conf.task.lb1 -side left
		entry .conf.task.e1 -width 8
		pack .conf.task.e1 -side left
		.conf.task.e1 insert 0 $TASK_COL(1)
		bind .conf.task.e1 <FocusOut> {
			.conf.task.lb1 configure -background [.conf.task.e1 get]
		}
		label .conf.task.lb2 -text "2" -background $TASK_COL(2)
		pack .conf.task.lb2 -side left
		entry .conf.task.e2 -width 8
		pack .conf.task.e2 -side left
		.conf.task.e2 insert 0 $TASK_COL(2)
		bind .conf.task.e2 <FocusOut> {
			.conf.task.lb2 configure -background [.conf.task.e2 get]
		}
		label .conf.task.lb3 -text "3" -background $TASK_COL(3)
		pack .conf.task.lb3 -side left
		entry .conf.task.e3 -width 8
		pack .conf.task.e3 -side left
		.conf.task.e3 insert 0 $TASK_COL(3)
		bind .conf.task.e3 <FocusOut> {
			.conf.task.lb3 configure -background [.conf.task.e3 get]
		}
		label .conf.task.lb4 -text "4" -background $TASK_COL(4)
		pack .conf.task.lb4 -side left
		entry .conf.task.e4 -width 8
		pack .conf.task.e4 -side left
		.conf.task.e4 insert 0 $TASK_COL(4)
		bind .conf.task.e4 <FocusOut> {
			.conf.task.lb4 configure -background [.conf.task.e4 get]
		}
		label .conf.task.lb5 -text "5" -background $TASK_COL(5)
		pack .conf.task.lb5 -side left
		entry .conf.task.e5 -width 8
		pack .conf.task.e5 -side left
		.conf.task.e5 insert 0 $TASK_COL(5)
		bind .conf.task.e5 <FocusOut> {
			.conf.task.lb5 configure -background [.conf.task.e5 get]
		}
	frame .conf.daily
	pack .conf.daily -side top
		label .conf.daily.lb -text "Daily" -width 5
		pack .conf.daily.lb -side left
		label .conf.daily.lb1 -text "1" -background $DAILY_COL(1)
		pack .conf.daily.lb1 -side left
		label .conf.daily.e1 -width 8 -text $DAILY_COL(1)
		pack .conf.daily.e1 -side left
		label .conf.daily.lb2 -text "2" -background $DAILY_COL(2)
		pack .conf.daily.lb2 -side left
		entry .conf.daily.e2 -width 8
		pack .conf.daily.e2 -side left
		.conf.daily.e2 insert 0 $DAILY_COL(2)
		bind .conf.daily.e2 <FocusOut> {
			.conf.daily.lb2 configure -background [.conf.daily.e2 get]
		}
		label .conf.daily.lb3 -text "3" -background $DAILY_COL(3)
		pack .conf.daily.lb3 -side left
		entry .conf.daily.e3 -width 8
		pack .conf.daily.e3 -side left
		.conf.daily.e3 insert 0 $DAILY_COL(3)
		bind .conf.daily.e3 <FocusOut> {
			.conf.daily.lb3 configure -background [.conf.daily.e3 get]
		}
		label .conf.daily.lb4 -text "4" -background $DAILY_COL(4)
		pack .conf.daily.lb4 -side left
		entry .conf.daily.e4 -width 8
		pack .conf.daily.e4 -side left
		.conf.daily.e4 insert 0 $DAILY_COL(4)
		bind .conf.daily.e4 <FocusOut> {
			.conf.daily.lb4 configure -background [.conf.daily.e4 get]
		}
		label .conf.daily.lb5 -text "5" -background $DAILY_COL(5)
		pack .conf.daily.lb5 -side left
		entry .conf.daily.e5 -width 8
		pack .conf.daily.e5 -side left
		.conf.daily.e5 insert 0 $DAILY_COL(5)
		bind .conf.daily.e5 <FocusOut> {
			.conf.daily.lb5 configure -background [.conf.daily.e5 get]
		}
	frame .conf.date
	pack .conf.date -side top
		label .conf.date.lb1 -text "Start on date (YYYY-MM-DD)"
		pack .conf.date.lb1 -side left
		entry .conf.date.y -width 4
		pack .conf.date.y -side left
		.conf.date.y insert 0 [lindex [split $START_DATE -] 0]
		entry .conf.date.m -width 2
		pack .conf.date.m -side left
		.conf.date.m insert 0 [lindex [split $START_DATE -] 1]
		entry .conf.date.d -width 2
		pack .conf.date.d -side left
		.conf.date.d insert 0 [lindex [split $START_DATE -] 2]
		checkbutton .conf.date.rb -text "Use current date" \
			-variable USE_CURRENT \
			-command {
				if {$USE_CURRENT}\
				{
					.conf.date.y delete 0 end
					.conf.date.y insert 0 [gen_get_cur_year]
					.conf.date.m delete 0 end
					.conf.date.m insert 0 [gen_get_cur_month]
					.conf.date.d delete 0 end
					.conf.date.d insert 0 [gen_get_cur_day]
				}
			}
		pack .conf.date.rb -side left
	frame .conf.path
	pack .conf.path -side top
		label .conf.path.lb -text "Data directory"
		pack .conf.path.lb -side left
		entry .conf.path.e -width 40
		pack .conf.path.e -side left
		.conf.path.e insert 0 $ORG_PATH
	frame .conf.b
	pack .conf.b
		button .conf.b.ok -text Ok -width 10 \
			-command {
				if {! [gen_check_date [.conf.date.y get] [.conf.date.m get] [.conf.date.d get]]}\
				{
					return
				}
				if {! [file exists [.conf.path.e get]]}\
				{
					gen_d_yn_confirm "Create the directory \"[.conf.path.e get]\"?"
					tkwait variable confirm
					if {$confirm == "yes"}\
					{
						if {[catch {mkdir [.conf.path.e get]} errmsg] > 0}\
						{
							
							gen_d_yn_confirm "Cannot create data directory \"[.conf.path.e get]\". Reason:\n$errmsg\n\nDo you want to continue with the execution ?"
							tkwait variable confirm
							if {$confirm == "no"}\
							{
								exit
							}
						}\
						else\
						{
							chmod 0700 [.conf.path.e get]
						}
					}\
					else\
					{
						return
					}
				}
				o_save_current
				set ORG_PATH [.conf.path.e get]
				o_new_org
				array set TODO_COL "1 [.conf.todo.e1 get] 2 [.conf.todo.e2 get] 3 [.conf.todo.e3 get] 4 [.conf.todo.e4 get] 5 [.conf.todo.e5 get]"
				array set TASK_COL "1 [.conf.task.e1 get] 2 [.conf.task.e2 get] 3 [.conf.task.e3 get] 4 [.conf.task.e4 get] 5 [.conf.task.e5 get]"
				array set DAILY_COL "2 [.conf.daily.e2 get] 3 [.conf.daily.e3 get] 4 [.conf.daily.e4 get] 5 [.conf.daily.e5 get]"
				if {$USE_CURRENT}\
				{
					set START_DATE [gen_get_cur_year]-[gen_get_cur_month]-[gen_get_cur_day]
				}\
				else\
				{
					set START_DATE [.conf.date.y get]-[.conf.date.m get]-[.conf.date.d get]
				}
				set CUR_YEAR [lindex [split $START_DATE -] 0]
				set CUR_MONTH [lindex [split $START_DATE -] 1]
				set CUR_DAY [lindex [split $START_DATE -] 2]
				destroy .conf
			}
		pack .conf.b.ok -side left
		button .conf.b.save -text Save -width 10 \
			-command {
				if {! [gen_check_date [.conf.date.y get] [.conf.date.m get] [.conf.date.d get]]}\
				{
					return
				}
				if {! [file exists [.conf.path.e get]]}\
				{
					gen_d_yn_confirm "Create the directory \"[.conf.path.e get]\"?"
					tkwait variable confirm
					if {$confirm == "yes"}\
					{
						if {[catch {mkdir [.conf.path.e get]} errmsg] > 0}\
						{
							gen_d_yn_confirm "Cannot create data directory \"[.conf.path.e get]\". Reason:\n$errmsg\n\nDo you want to continue with the execution ?"
							tkwait variable confirm
							if {$confirm == "no"}\
							{
								exit
							}
						}\
						else\
						{
							chmod 0700 [.conf.path.e get]
						}
					}\
					else\
					{
						return
					}
				}
				o_save_current
				set ORG_PATH [.conf.path.e get]
				o_new_org
				array set TODO_COL "1 [.conf.todo.e1 get] 2 [.conf.todo.e2 get] 3 [.conf.todo.e3 get] 4 [.conf.todo.e4 get] 5 [.conf.todo.e5 get]"
				array set TASK_COL "1 [.conf.task.e1 get] 2 [.conf.task.e2 get] 3 [.conf.task.e3 get] 4 [.conf.task.e4 get] 5 [.conf.task.e5 get]"
				array set DAILY_COL "2 [.conf.daily.e2 get] 3 [.conf.daily.e3 get] 4 [.conf.daily.e4 get] 5 [.conf.daily.e5 get]"
				set ct [catch {
					set F [open $env(HOME)/.zorgan w+]
					puts $F "array set TODO_COL \"1 [.conf.todo.e1 get] 2 [.conf.todo.e2 get] 3 [.conf.todo.e3 get] 4 [.conf.todo.e4 get] 5 [.conf.todo.e5 get]\""
					puts $F "array set TASK_COL \"1 [.conf.task.e1 get] 2 [.conf.task.e2 get] 3 [.conf.task.e3 get] 4 [.conf.task.e4 get] 5 [.conf.task.e5 get]\""
					puts $F "array set DAILY_COL \"1 #FFFFFF 2 [.conf.daily.e2 get] 3 [.conf.daily.e3 get] 4 [.conf.daily.e4 get] 5 [.conf.daily.e5 get]\""
					if {$USE_CURRENT}\
					{
						puts $F "set START_DATE \[gen_get_cur_year\]-\[gen_get_cur_month\]-\[gen_get_cur_day\]"
						set START_DATE [gen_get_cur_year]-[gen_get_cur_month]-[gen_get_cur_day]
					}\
					else\
					{
						puts $F "set START_DATE [.conf.date.y get]-[.conf.date.m get]-[.conf.date.d get]"
						set START_DATE [.conf.date.y get]-[.conf.date.m get]-[.conf.date.d get]
					}
					puts $F "set USE_CURRENT $USE_CURRENT"
					puts $F "set ORG_PATH [list [.conf.path.e get]]"
					set CUR_YEAR [lindex [split $START_DATE -] 0]
					set CUR_MONTH [lindex [split $START_DATE -] 1]
					set CUR_DAY [lindex [split $START_DATE -] 2]
					close $F
					chmod 0600 $env(HOME)/.zorgan
				} errmsg]
				if {$ct > 0}\
				{
					gen_d_yn_confirm "Unabled to save the configurations. Reason:\n$errmsg\n\nDo you want to continue with the execution ?"
					tkwait variable confirm
					if {$confirm == "no"}\
					{
						exit
					}
				}
			}
		pack .conf.b.save -side left
		button .conf.b.cancel -text Cancel -width 10 \
			-command {
				destroy .conf
			}
		pack .conf.b.cancel -side left
}

proc conf_load_config {}\
{
	global env TODO_COL TASK_COL DAILY_COL ORG_PATH
	global START_DATE CUR_YEAR CUR_MONTH CUR_DAY
	if {! [file exists $env(HOME)/.zorgan]}\
	{
		if {! [file exists $ORG_PATH]}\
		{
			if {[catch {mkdir $ORG_PATH} errmsg] > 0}\
			{
				global confirm
				gen_d_yn_confirm "Cannot create data directory \"$ORG_PATH\". Reason:\n$errmsg\n\nDo you want to continue with the execution ?"
				tkwait variable confirm
				if {$confirm == "no"}\
				{
					exit
				}
			}\
			else\
			{
				chmod 0700 $ORG_PATH
			}
		}
		return
	}
	if {[catch {safe_interp eval "[read_file $env(HOME)/.zorgan]"} errmsg] > 0}\
	{
		update
		global confirm
		gen_d_yn_confirm "There was an error in the configuration file \"$env(HOME)/.zorgan\" :\n$errmsg\n\nDo you want to continue with the execution ?"
		tkwait variable confirm
		if {$confirm == "no"}\
		{
			exit
		}
	}
	set CUR_YEAR [lindex [split $START_DATE -] 0]
	set CUR_MONTH [lindex [split $START_DATE -] 1]
	set CUR_DAY [lindex [split $START_DATE -] 2]
	if {! [file exists $ORG_PATH]}\
	{
		if {[catch {mkdir $ORG_PATH} errmsg] > 0}\
		{
			global confirm
			gen_d_yn_confirm "Cannot create data directory \"$ORG_PATH\". Reason:\n$errmsg\n\nDo you want to continue with the execution ?"
			tkwait variable confirm
			if {$confirm == "no"}\
			{
				exit
			}
		}\
		else\
		{
			chmod 0700 $ORG_PATH
		}
	}
}


